#ifndef SCSTWREMOTEMONITORRACE_H
#define SCSTWREMOTEMONITORRACE_H

#include <QObject>
#include "scstwrace.h"
#include "scstwclient.h"

class ScStwRemoteMonitorRace : public ScStwRace
{
    Q_OBJECT
public:
    ScStwRemoteMonitorRace(ScStwClient *monitorClient, QObject *parent = nullptr);

protected:
    double nextStartActionTotalDelay;
    double nextStartActionDelayStartedAt;

private:
    ScStwClient *scStwClient;

public slots:
    int start();
    int cancel();
    int stop();
    int reset();
    bool addTimer(ScStwTimer *timer);
    QVariantList getNextStartActionDetails();

private slots:
    void handleClientStateChanged();
    void handleBaseStationSignal(ScStw::SignalKey key, QVariant data);
    bool refreshRemoteTimers(QVariantList remoteTimers);

};

#endif // SCSTWREMOTEMONITORRACE_H
